API REFERENCE
Pedido de pago unificado
Parámetros de API, instrucciones de firma y ejemplos de solicitud y respuesta de la documentación existente de la API SimplePay.
Parámetros
| Parameter | Type | Descripción | Obligatorio |
|---|---|---|---|
| data.pay_method | string | online | ✓ |
| data.sub_pay_method | string | WeChat Pay,Alipay,YabandPay | ✓ |
| data.order_id | string | 商户的订单ID | ✓ |
| data.amount | string | 金额数字。例如 € 24.99 应该写成24.99,CNY金额>=1,欧元金额>=0.1 | ✓ |
| data.currency | string | 货币代码,ISO 4217,例如EUR,CHF | ✓ |
| data.description | string | 订单描述 | ✓ |
| data.demo | string | 自定义字段 | — |
| data.timeout | string | 过期时间单位分钟(0-1440) | ✓ |
| data.redirect_url | string | 支付完成后跳转地址 | ✓ |
| data.notify_url | string | 支付完成后异步通知地址 | ✓ |
Supported payment methods: WeChat Pay and Alipay
Consejo
Please note that this payment option only supports WeChat Pay and Alipay. We recommend the Hosted Checkout, which includes all enabled payment methods.
| Parámetro | Tipo | Descripción | Obligatorio |
|---|---|---|---|
| user | String | Cashier account UID | Obligatorio |
| sign | String | Signature | Obligatorio |
| method | String | v3.CreatePayments | Obligatorio |
| time | Long | Timestamp | Obligatorio |
- Parameters
| Parámetro | Tipo | Descripción | Obligatorio |
|---|---|---|---|
| pay_method | String | online | Obligatorio |
| sub_pay_method | String | WeChat Pay,Alipay,YabandPay | Obligatorio |
| order_id | String | Merchant order ID | Obligatorio |
| amount | String | Amount as a numeric string. For example, enter 24.99 for € 24.99. CNY amount >=1; EUR amount >=0.1. | Obligatorio |
| currency | String | ISO 4217 currency code, for example EUR or CHF | Obligatorio |
| description | String | Order description | Obligatorio |
| demo | String | Custom field | Opcional |
| timeout | String | Expiration time in minutes (0-1440) | Obligatorio |
| redirect_url | String | Redirect URL after payment | Obligatorio |
| notify_url | String | Asynchronous notification URL after payment | Obligatorio |
Signature example:
Sorted parameters concatenated into a URL-style query string
"amount=0.1¤cy=EUR&demo=test&description=YabandPay test&method=v3.CreatePayments¬ify_url=https://www.yabandpay.com/notify&order_id=2024849687894683&pay_method=online&redirect_url=https://www.yabandpay.com&sub_pay_method=WeChat Pay&time=1555498137&timeout=0&user=YOUR_CASHIER_UID"
Sign stringA using secret_key
The resulting signature is:
"YOUR_SIGNATURE"
Request example:
{
"user": "YOUR_CASHIER_UID",
"sign": "YOUR_SIGNATURE",
"method": "v3.CreatePayments",
"time": 1555498137,
"data": {
"amount": "0.2",
"currency": "EUR",
"demo": "test",
"description": "YabandPay test",
"notify_url": "https://www.yabandpay.com/notify",
"order_id": "YOUR_ORDER_ID",
"pay_method": "online",
"redirect_url": "https://www.yabandpay.com",
"sub_pay_method": "WeChat Pay",
"timeout": "0"
}
}
Response example:
{
"status": true,
"code": "200",
"data": {
"order_id": "YOUR_ORDER_ID",
"trade_id": "4552eeea-1ae8-1e40-3b4b-802dc2f5686a",
"amount": "0.2",
"currency": "EUR",
"settlement_amount": "0.2",
"settlement_currency": "EUR",
"exchange_rate": "1",
"url": "https://pay.yabandpay.com/payments/callback/order/NDU1MmVlZWEtMWFlOC0xZTQwLTNiNGItODAyZGMyZjU2ODZh",
"state": "processing"
},
"message": ""}
1. Desktop or tablet browser
In a desktop or tablet browser, the merchant generates a QR code for the customer to scan and pay.
YabandPay supports native WeChat Pay and Alipay QR codes, as well as unified payment QR codes supporting both WeChat Pay and Alipay.
The merchant can redirect to the URL returned by the YabandPay API to generate a native WeChat Pay or Alipay payment QR code.
For a unified payment QR code, the merchant can encode the URL returned by the YabandPay API as a QR code and display it to the customer, then poll Query Order for the payment result or wait for an asynchronous notification.
2. Unified payments
YabandPay launches the appropriate WeChat Pay or Alipay payment flow according to the browser environment and use case (PC, H5, App, etc.).
sub_pay_method=
| Browser type | WeChat Pay | Alipay | YabandPay |
|---|---|---|---|
| Mobile browser | Generate a WeChat Pay QR code (launch WeChat Pay if H5 is enabled) | Launch Alipay | Generate a unified QR code |
| Webview in a mobile App | Generate a WeChat Pay QR code | Launch Alipay | Generate a unified QR code |
| WeChat browser (inside the WeChat App) | Launch WeChat Pay | Generate an Alipay QR code | Launch WeChat Pay |
| Alipay browser (inside the Alipay App) | Generate a WeChat Pay QR code | Launch Alipay | Launch Alipay |
| All desktop browsers | Generate a WeChat Pay QR code | Generate an Alipay QR code | Generate a unified QR code |
Additional information:
Response result:
-
A successful request returns "status": true.
-
A failed request returns "status": false.
Recomendamos encarecidamente utilizar tanto Consulta de pedido como Notificaciones asíncronas para mantener los estados de pago precisos y actualizados.
Response codes:
| Status | Code | Message |
|---|---|---|
| true | 200 | Success |
| false | -1000 | Internal error |
| false | -3001 | Required field is missing |
| false | -403 | The signature Error |
| false | -4011 | Not support the payment method |
